import { OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { ToastService } from 'tango-app-ui-shared';
import { TraxService } from '../../services/trax.service';
import * as i0 from "@angular/core";
export declare class TraxRunAIPopupComponent implements OnInit {
    dialogRef: NgbActiveModal;
    private sanitizer;
    private toast;
    private sopService;
    requestText: string;
    next: boolean;
    runAIFeatures: any;
    selectedFeatures: any[];
    data: any;
    constructor(dialogRef: NgbActiveModal, sanitizer: DomSanitizer, toast: ToastService, sopService: TraxService);
    ngOnInit(): void;
    closepopup(): void;
    confirmpopup(): void;
    checkRunAI(): boolean | undefined;
    onStoreSelect(selectedItems: any[]): void;
    onInputChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TraxRunAIPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TraxRunAIPopupComponent, "lib-trax-run-ai-popup", never, { "data": { "alias": "data"; "required": false; }; }, {}, never, never, false, never>;
}
